/* CSS Document */

/* Global
---------------------------------------------------------------------------- */

body {
	font-family: "Roboto", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
	font-variation-settings: "wdth" 100;
}

.wrap,
div.alignfull > div {
	margin-inline: auto;
	max-width: 90%;
}

.site-container {
	overflow: hidden;
}

.site-inner {
	max-width: 100%;
	padding-left: 0;
	padding-right: 0;
	position: relative;
	z-index: 1;
}

.full-width-content .content {
	width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: 'Russo One', sans-serif;
	font-weight: 400 !important;
}

.site-container div.wp-block-button .wp-block-button__link {
	border-radius: 10px;
	font-family: 'Russo One', sans-serif;
	font-weight: 400;
	letter-spacing: 1px;
	padding: 10px 40px;
	transition: all .2s ease-in-out;
}

.entry-content .wp-block-image:not(.is-style-rounded) img {
	border-radius: 10px;
}

.hideSVGs {
	height: 0;
	width: 0;
}


/* Header
---------------------------------------------------------------------------- */

.site-header {
	background-color: #f1f1f2;
	box-shadow: none;
	padding: 10px 0;
	position: relative;
	z-index: 3;
}

.site-header > .wrap {
	display: grid;
	grid-template-areas: 'logo . contact';
	grid-template-columns: 300px 1fr auto;
	gap: 0 5%;
}

.wp-custom-logo .title-area {
	grid-area: logo;
	max-width: 300px;
	padding: 5px 0 0;
}

.site-header .widget-area {
	grid-area: contact;
	font-size: 19px;
	margin-top: 6px;
	text-align: right;
}

.site-header .widget-area .widget {
	margin: 0;
}

.site-header .widget-area p {
	line-height: 1.25;
	margin: 0;
	position: relative;
	top: -3px;
}

.site-header .widget-area .widget-title,
.site-header .widget-area .widget-title a {
	color: #dc1f26;
	display: block;
	font-family: "Russo One", sans-serif;
	font-size: 35px;
	font-weight: 400;
	line-height: 1;
	margin: 0;
	text-decoration: none;
}

.site-header .widget-area .widget-title a:focus,
.site-header .widget-area .widget-title a:hover {
	color: #243e8f;
}

.swoosh {
	filter: drop-shadow(0 2px 4px rgb(0 0 0 / .25));
	position: relative;
	z-index: 2;
}

.swoosh::before,
.swoosh::after {
    content: '';
    display: block;
    left: 50%;
    min-width: 800px;
    position: absolute;
	top: 100%;
    transform: translateX(-50%) translateZ(0);
    width: 100%;
}

.swoosh::before {
    background: #fff;
    clip-path: url(#curve-white);
    -webkit-clip-path: url(#curve-white);
    height: 16px;
    z-index: 3;
}

.swoosh::after {
    background: #dc2327;
    clip-path: url(#curve-red);
    -webkit-clip-path: url(#curve-red);
    height: 44px;
    z-index: 2;
}


/* Navigation
---------------------------------------------------------------------------- */

.nav-primary {
	background-color: #243e8f;
	box-shadow: 0 2px 4px rgba(0,0,0,0.25);
	float: none;
	padding: 0 0 10px;
	position: relative;
	top: -1px;
	width: 100%;
	z-index: 3;
}

.nav-primary > .wrap {
	
}

.nav-primary a {
	color: #fff;
	font-family: "Russo One", sans-serif;
	font-size: 14px;
	text-transform: uppercase;
}

.nav-primary a:focus,
.nav-primary a:hover {
	color: #a2b3e0;
}

.nav-primary ul.sub-menu,
.nav-primary ul.sub-menu a {
	background-color: transparent;
}

.nav-primary ul.sub-menu a {
	font-size: 13px;
}

.menu-toggle {
	background-color: #243e8f;
	border-radius: 0;
	color: #fff;
	float: none;
	font-family: "Russo One", sans-serif;
	font-size: 14px;
	font-weight: 400;
	margin: 0;
	padding: 16px 0;
	text-transform: uppercase;
	width: 100%;
}

.sub-menu-toggle {
	color: #fff;
}

.menu-toggle:focus,
.menu-toggle:hover {
	background-color: #243e8f;
	color: #a2b3e0;
}

.menu-toggle::before {
	position: relative;
	top: -1px;
	transition: none !important;
}


/* Subpage Heading
---------------------------------------------------------------------------- */

.page.full-width-content .entry-header > .alignfull,
.single.full-width-content .entry-header > .alignfull {
	margin-left: calc(-100vw / 2 + 100% / 2);
	margin-right: calc(-100vw / 2 + 100% / 2);
	max-width: 100vw;
}

.page.full-width-content .entry-header div.feature,
.single.full-width-content .entry-header div.feature {
	margin-bottom: 60px;
	margin-top: -60px;
}

div.feature.alignfull > div {
	max-width: 100%;
	overflow: hidden;
}

.feature.gb-3-col-widecenter>.gb-layout-column-wrap {
	box-shadow: 0 2px 8px rgba(0,0,0,0.10);
	grid-template-columns: 1fr 400px 55vw;
}

.feature div.gb-background-no-repeat {
	height: 100%;
}

.feature .gb-block-layout-column {
	position: relative;
	z-index: 1;
}

.feature .gb-block-layout-column:nth-child(1) {
	z-index: 0;
}

.feature .gb-block-layout-column:nth-child(1) div.gb-background-no-repeat {
	position: absolute;
	width: 55vw;
}

.feature .gb-block-layout-column:nth-child(1) div.gb-background-no-repeat {
	left: 0;
}

.feature .gb-block-layout-column:nth-child(2) {
	z-index: 2;
}

.feature .gb-block-layout-column .has-white-background-color {
	filter: drop-shadow(0 7px 15px rgb(0 0 0 / .25));
	padding: calc(10vh + 30px) 15px 10vh;
	position: relative;
}

.single .feature .gb-block-layout-column .has-white-background-color {
	padding: calc(5vh + 30px) 15px 5.1vh;
}

.feature .gb-block-layout-column .has-white-background-color::before,
.feature .gb-block-layout-column .has-white-background-color::after {
	background-color: #fff;
	clip-path: polygon(100% 0, 0% 100%, 100% 100%);
	content: '';
	display: block;
	height: calc(100% + 2px);
	left: -129px;
	position: absolute;
	top: -1px;
	width: 130px;
	z-index: 1;
}

.feature .gb-block-layout-column .has-white-background-color::after {
	clip-path: polygon(100% 0, 0 0, 0 100%);
	left: auto;
	right: -129px;
}

.feature p {
	font-size: 21px;
	line-height: 1.33;
}

.feature p:last-child {
	margin: 0;
}


/* Titles
---------------------------------------------------------------------------- */

.entry-title {
	font-size: 42px;
	line-height: 1;
	margin-bottom: 10px;
}

.single .entry-title {
	margin-bottom: 0;
}


/* CTA
---------------------------------------------------------------------------- */

.cta {
	border-top: 1px solid #fff;
	overflow: hidden;
}

.cta > div {
	position: relative;
}

.cta > div::before {
	background: url("../../images/jr-mark.svg") no-repeat center;
	bottom: -155px;
	content: '';
	display: block;
	height: 388px;
	opacity: .1;
	pointer-events: none;
	position: absolute;
	right: 0;
	top: calc(50% + 20px);
	transform: translate(50%,-50%);
	width: 725px;
	z-index: 1;
}

.cta .gb-2-col-wideleft>.gb-layout-column-wrap {
	align-items: center;
	grid-template-columns: 1fr 250px;
}

.cta h3 {
	margin-bottom: 5px;
}

.cta p:last-child {
	margin: 0;
}


/* Blog Archive
---------------------------------------------------------------------------- */

body.blog .content {
	display: flex;
	flex-wrap: wrap;
	grid-gap: 0 4%;
}

body.blog .content > article {
	flex: 0 0 48%;
}

body.blog a.entry-image-link img {
	border-radius: 10px;
	transition: all .2s ease-in-out;
}

body.blog a.entry-image-link:focus img,
body.blog a.entry-image-link:hover img {
	opacity: .8;
}

body.blog .entry-title {
	font-size: 32px;
}

body.blog a.more-link {
	background-color: #243e8f;
	border-width: 0;
	border-radius: 10px;
	color: #fff;
	cursor: pointer;
	display: table;
	font-family: 'Russo One', sans-serif;
	font-size: 16px;
	font-weight: 400;
	letter-spacing: 1px;
	margin-top: 20px;
	padding: 10px 40px;
	text-align: center;
	text-decoration: none;
	text-transform: uppercase;
	transition: all.2s ease-in-out;
	white-space: normal;
	width: auto;
}

body.blog a.more-link:focus,
body.blog a.more-link:hover {
	box-shadow: inset 0 0 200px rgba(230, 230, 230, 0.25);
}


/* Reviews
---------------------------------------------------------------------------- */

body.review .content {
	display: flex;
	flex-wrap: wrap;
	grid-gap: 0 5%;
	margin-bottom: 60px;
}

body.review .content .entry-title {
	flex-basis: 100%;
	margin-bottom: 40px;
}

body.review .content article {
	background-color: #f1f1f2;
	border-radius: 10px;
	flex: 0 0 100%;
	margin-bottom: 30px;
	padding: 20px 25px;
}

body.review .content article p:last-child {
	margin: 0;
}


/* FAQs
---------------------------------------------------------------------------- */

details {
	background-color: #f1f1f2;
	border-radius: 10px;
	line-height: 1.25;
	margin-bottom: 30px;
	padding: 10px 20px;
}

details summary {
	font-size: 21px;
	font-weight: 700;
	padding: 5px 0 5px;
}

details p {
	line-height: 1.5;
}

details p:first-of-type {
	padding-top: 10px;
}

details p:last-child {
	margin-bottom: 5px;
}


/* Footer
---------------------------------------------------------------------------- */

.swoosh.footer {
	filter: drop-shadow(0 -2px 4px rgb(0 0 0 / .25));
	transform: scale(-1);
	z-index: 1;
}

.footer-wrap {
	overflow: hidden;
	position: relative;
}

.footer-wrap::before {
	background: url("../../images/jr-mark.svg") no-repeat center;
	bottom: -155px;
	content: '';
	display: block;
	height: 625px;
	left: calc(50% - 60px);
	opacity: .05;
	pointer-events: none;
	position: absolute;
	width: 1170px;
	z-index: 1;
}

.footer-widgets {
	background-color: #243e8f;
}

.footer-widgets > .wrap {
	display: grid;
	grid-gap: 0 6%;
	grid-template-areas: 'branding . links';
	grid-template-columns: 300px 1fr auto;
	position: relative;
	z-index: 2;
}

.footer-widgets > .wrap::before,
.footer-widgets > .wrap::after {
	display: none;
}

.footer-widget-area {
	margin: 0;
	padding: 0;
}

.footer-widgets .widget {
	margin: 0 0 30px;
}

.footer-widgets .widget-title {
	color: #fff;
	font-family: 'Russo One', sans-serif;
	font-size: 28px;
	font-weight: 400;
	line-height: 1.1;
	margin: 0 0 20px;
	position: relative;
}

.footer-widgets .widget-title::after {
	background-color: rgba(255,255,255,.5);
	content: '';
	display: block;
	height: 1px;
	left: -10px;
	margin-top: 10px;
	position: absolute;
	width: calc(100% + 10px);
}

.footer-widgets-1 {
	color: #fff;
	font-size: 19px;
	grid-area: branding;
	text-align: center;
}

.footer-widgets-1 h4,
.footer-widgets-1 h4 a {
	color: #fff;
	display: block;
	font-family: "Russo One", sans-serif;
	font-size: 35px;
	font-weight: 400;
	line-height: 1;
	margin: 0px 0 5px;
	text-decoration: none;
}

.footer-widgets-1 h4 a:focus,
.footer-widgets-1 h4 a:hover {
	color: #dc1f26;
}

.footer-widgets-1 p {
	line-height: 1.25;
}

.footer-widgets-1 img {
	width: 300px;
}

.footer-widgets-2 {
	display: flex;
	flex-wrap: wrap;
	gap: 0 6%;
	grid-area: links;
	margin-top: 60px;
}

.footer-widgets-2 .widget {
	flex: 0 0 47%;
}

.footer-widgets-2 .widget:first-child {
	margin: 0;
}

.footer-widgets-2 .widget_text {
	flex-basis: 100%;
}

.footer-widgets-2 .menu li {
	line-height: 1.1;
	margin: 0 0 15px;
}

.footer-widgets-2 .menu a {
	color: #fff;
	font-size: 16px;
	text-decoration: none;
	text-transform: uppercase;
}

.footer-widgets-2 .menu a:focus,
.footer-widgets-2 .menu a:hover {
	color: #a2b3e0;
}

.footer-widgets-2 .menu li.button {
	display: block;
	margin: 0 0 10px;
	padding: 0;
}
	
.footer-widgets-2 .menu li.button a {
	background-color: #fff;
	border-radius: 10px;
	color: #dc1f26;
	display: block;
	font-family: 'Russo One', sans-serif;
	font-size: 14px;
	font-weight: 400;
	padding: 13px 25px;
}

.footer-widgets-2 .menu li.button:focus a,
.footer-widgets-2 .menu li.button:hover a {
	background-color: #dc1f26;
	color: #fff;
	text-decoration: none;
}

.site-footer {
	background-color: #192f66;
	border: none;
	color: #e6e7e8;
	font-size: 14px;
	padding: 24px 0;
	position: relative;
	text-align: left;
}

.site-footer a {
	color: #e6e7e8;
	text-decoration: none;
}

.site-footer a:focus,
.site-footer a:hover {
	color: #fff;
}


/* Media Queries
---------------------------------------------------------------------------- */

@media only screen and (min-width: 1023px) {
	
	.wrap,
	div.alignfull > div {
		max-width: 960px;
	}
	
	.nav-primary {
		padding: 7px 0;
		top: 0;
	}
	
	.nav-primary ul.menu {
		display: flex;
		flex-wrap: nowrap;
		justify-content: space-around;
	}

	.nav-primary ul.menu li {
		flex-basis: 0 0 1fr;
	}
	
	.nav-primary ul.sub-menu {
		border: none;
	}
	
	.nav-primary ul.sub-menu a {
		background-color: #243e8f;
		border: none;
	}
	
}

@media only screen and (min-width: 1240px) {
	
	.wrap,
	div.alignfull > div {
		max-width: 1170px;
	}
	
}

@media only screen and (max-width: 960px) {
	
	.feature.gb-3-col-widecenter>.gb-layout-column-wrap {
		grid-template-columns: 1fr 400px 35vw;
	}
	
	.feature .gb-block-layout-column:nth-child(1) div.gb-background-no-repeat {
		width: 35vw;
	}
	
	.footer-wrap::before {
		transform: translateX(-50%);
	}
	
	.footer-widgets > .wrap {
		grid-template-areas: 'branding' 'links';
		grid-template-columns: auto;
	}
	
}
	
@media only screen and (max-width: 767px) {
	
	.site-header > .wrap {
		grid-template-areas: 'logo' 'contact';
		grid-template-columns: auto;
	}
	
	.wp-custom-logo .title-area {
		margin: 0 auto 20px;
	}
	
	.site-header .widget-area {
		text-align: center;
	}
	
	.site-header .widget-area .widget-title,
	.site-header .widget-area .widget-title a {
		font-size: 28px;
	}
	
	.site-header .widget-area {
		font-size: 16px;
	}
	
	.cta .gb-2-col-wideleft>.gb-layout-column-wrap {
		grid-gap: 2em 0;
		grid-template-areas: 'col1' 'col2';
		grid-template-columns: 100%;
		text-align: center;
	}
	
	body.blog .content > article {
		flex-basis: 100%;
	}
	
}

@media only screen and (max-width: 600px) {
	
	.feature.gb-3-col-widecenter>.gb-layout-column-wrap {
		grid-template-areas: "col3" "col2" "col1";
		grid-template-columns: auto;
	}
	
	.feature .gb-block-layout-column:nth-child(3) div.gb-background-no-repeat {
		height: 250px;
	}
	
	.feature .gb-block-layout-column .has-white-background-color,
	.single .feature .gb-block-layout-column .has-white-background-color {
		padding: 40px 5% 20px;
	}
	
	.footer-widgets-2 .widget {
		flex-basis: 100%;
		text-align: center;
	}
	
	.site-footer {
		text-align: center;
	}
	
}